Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a specific policy upload job by its Heron ID
cURL
curl --request GET \ --url https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/ \ --header 'x-api-key: <api-key>'
import requests url = "https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "error_count": 123, "error_message": "<string>", "filename": "<string>", "finished_at": "2023-11-07T05:31:56Z", "processed_count": 123, "started_at": "2023-11-07T05:31:56Z", "status": "queued", "success_count": 123, "total_count": 123, "created": "2023-11-07T05:31:56Z", "error_details": {}, "heron_id": "<string>", "last_updated": "2023-11-07T05:31:56Z", "results_summary": {} }
The Heron ID of the upload job
Upload job details
queued
processing
completed
failed
Show child attributes
Was this page helpful?